@ECHO off
cls
ECHO plv8 Installation for xTuple ERP
ECHO.
GOTO pgv

:pgv
ECHO Please select the PostgreSQL version
ECHO  1) PostgreSQL 9.3 64bit
ECHO  2) PostgreSQL 9.4 64bit
ECHO  3) PostgreSQL 9.5 64bit
ECHO  4) PostgreSQL 9.6 64bit
ECHO  5) PostgreSQL  10 64bit
ECHO  6) PostgreSQL  11 64bit
ECHO  7) PostgreSQL  12 64bit
ECHO.
SET /p pgver=Your Selection: 
IF "%pgver%"=="1"  SET "SOURCEDIR=pg93w64" & SET "PG=9.3" & SET "BITS=64"
IF "%pgver%"=="2"  SET "SOURCEDIR=pg94w64" & SET "PG=9.4" & SET "BITS=64"
IF "%pgver%"=="3"  SET "SOURCEDIR=pg95w64" & SET "PG=9.5" & SET "BITS=64"
IF "%pgver%"=="4"  SET "SOURCEDIR=pg96w64" & SET "PG=9.6" & SET "BITS=64"
IF "%pgver%"=="5"  SET "SOURCEDIR=pg10w64" & SET "PG=10"  & SET "BITS=64"
IF "%pgver%"=="6"  SET "SOURCEDIR=pg11w64" & SET "PG=11"  & SET "BITS=64"
IF "%pgver%"=="7"  SET "SOURCEDIR=pg12w64" & SET "PG=12"  & SET "BITS=64"
ECHO Using %SOURCEDIR% as source for plv8 binaries for PostgreSQL %PG% %BITS%bit.
ECHO.
GOTO pgd

:pgd
ECHO Where is PostgreSQL installed? 

IF %BITS%==64 SET "SAMPLEDIR=C:\Program Files\PostgreSQL\%PG%\"
IF %BITS%==32 SET "SAMPLEDIR=C:\Program Files (x86)\PostgreSQL\%PG%\"
ECHO Typically, it is: %SAMPLEDIR%
SET /p PGDIR=Enter PostgreSQL root directory: 

ECHO.
ECHO Using "%PGDIR%" as installation directory.
ECHO Validating directory exists...
IF NOT EXIST "%PGDIR%" ECHO PostgreSQL directory does not exist... & ECHO. & GOTO pgd
ECHO Validating directory contains a PostgreSQL installation...
IF NOT EXIST "%PGDIR%\bin\psql.exe" ECHO Directory does not appear to be a PostgreSQL installation... & GOTO error
ECHO Copying plv8 files into place...
XCOPY /E /Y "%SOURCEDIR%\*.*" "%PGDIR%" > NUL
IF ERRORLEVEL 1 ECHO You don't seem to have write access to %PGDIR%. Please open an Administrator command prompt and try again. & GOTO error
ECHO plv8 for PostgreSQL %PG% %BITS%bit has been installed. You will now need to open a pgAdmin or psql session and 
ECHO execute the command "CREATE EXTENSION plv8;"
ECHO Further information can be found on our wiki, https://github.com/xtuple/xtuple/wiki/Installing-PLv8
GOTO end

:error
ECHO Something has gone wrong...
GOTO end

:end
PAUSE
